#!/bin/bash

check_session_state() {
    active_session=$(loginctl | grep "online" | awk '{print $1}')
    current_state=$(loginctl show-session $active_session -p Active --value)

    if [[ $current_state == "no" ]]; then
        /usr/bin/loginctl lock-session $active_session
    fi
}

while true; do
    check_session_state
    sleep 1
done
