Summary:   Monitor user sessions and lock screen on state change
Name:      session-monitor
Version:   0.1
Release:   1%{?dist}
License:   GPLv2+
URL:       http://msvsphere-os.ru/
Source0:   session-monitor.sh
Source1:   session-monitor.service

BuildRequires: systemd-rpm-macros

Requires(post): systemd
Requires(post): systemd-sysv
Requires(preun): systemd
Requires(posttrans): systemd

%description
Monitor user sessions and lock screen on state change. Useful if screen was
changed.

%prep

%build

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_unitdir}

install -m 755 %{SOURCE0} %{buildroot}%{_bindir}/%{name}
install -m 644 %{SOURCE1} %{buildroot}%{_unitdir}

%post
%systemd_post %{name}.service
/usr/bin/systemctl enable --now %{name}.service ||:

%preun
%systemd_preun %{name}.service
/usr/bin/systemctl stop %{name}.service ||:

%postun
%systemd_postun_with_restart %{name}.service

%files
%{_bindir}/%{name}
%{_unitdir}/%{name}.service

%changelog
* Wed Aug 07 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 0.1-1
- Initial build
